commit 116bd8c60c44897c833b71c23f0c039dab0801b7
Author: freddy77 <freddy77>
Date:   Fri Oct 17 09:38:10 2008 +0000

    make it compile without --enable-developing

diff --git a/ChangeLog b/ChangeLog
index 1bb4cd8..a3f9fc3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Oct 17 11:36:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/tds/mem.c src/tds/token.c:
+	- make it compile without --enable-developing
+
 Fri Oct 17 10:55:56 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/convert_tds2sql.c src/odbc/odbc.c:
 	- enable wide characters from server
@@ -719,4 +723,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2626 2008/10/17 08:56:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2627 2008/10/17 09:38:10 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 38dc14f..8e3b812 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.295 2008/09/14 07:45:24 freddy77 Exp $ */
+/* $Id: tds.h,v 1.296 2008/10/17 09:38:10 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1291,9 +1291,7 @@ struct tds_socket
 	unsigned char option_flag2;
 	unsigned int broken_dates:1;
 	unsigned int emul_little_endian:1;
-#ifdef ENABLE_DEVELOPING
 	unsigned int use_iconv:1;
-#endif
 
 	unsigned char *in_buf;		/**< input buffer */
 	unsigned char *out_buf;		/**< output buffer */
diff --git a/src/tds/mem.c b/src/tds/mem.c
index e90e919..2059a66 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -47,7 +47,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.179 2008/09/14 07:45:25 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.180 2008/10/17 09:38:10 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -966,9 +966,7 @@ tds_alloc_socket(TDSCONTEXT * context, int bufsize)
 	tds_socket->option_flag2 = 0x03;
 	tds_socket->env.block_size = bufsize;
 
-#ifdef ENABLE_DEVELOPING
 	tds_socket->use_iconv = 1;
-#endif
 	if (tds_iconv_alloc(tds_socket))
 		goto Cleanup;
 
diff --git a/src/tds/token.c b/src/tds/token.c
index c678d16..1885ca6 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,13 +42,9 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.355 2008/09/18 08:18:02 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.356 2008/10/17 09:38:10 freddy77 Exp $");
 
-#ifdef ENABLE_DEVELOPING
-# define USE_ICONV tds->use_iconv
-#else
-# define USE_ICONV 1
-#endif
+#define USE_ICONV tds->use_iconv
 
 static int tds_process_msg(TDSSOCKET * tds, int marker);
 static int tds_process_compute_result(TDSSOCKET * tds);

